ListAdmins
/api/v1/adminsList all system-wide administrators.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/admins"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/admins"Set OBLIQUE_API_KEY to your API key.
Query parameters
Section titled “Query parameters”pageSizeinteger (int32)pageTokenstring
Response
Section titled “Response”200ListAdminsResponseadminsAdmin[]namestringAssigned by Oblique. The name of the admin API object. This is an arbitrary string and does not have to match the user’s name.
managementManagementHow this admin is managed. Set automatically by the server based on the calling client. Omitted from responses when the admin is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
userstringrequiredThe user that has been granted admin privileges.
Format:
users/{user}createTimestring (date-time)read-onlyThe time the admin was created.
updateTimestring (date-time)read-onlyThe time the admin was last updated.
nextPageTokenstring
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |